package com.njcn.system.service;

import com.njcn.system.pojo.param.DictTreeParam;
import com.njcn.system.pojo.po.SysDicTreePO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.system.pojo.vo.DictTreeVO;

import java.util.List;

/**
 * 
 * Description:
 * Date: 2023/6/9  14:00【需求编号】
 *
 * @author clam
 * @version V1.0.0
 */
public interface SysDicTreePOService extends IService<SysDicTreePO>{


        boolean addDictTree(DictTreeParam dictTreeParam);

        List<DictTreeVO> queryByPid(String pid);

        DictTreeVO queryByCode(String code);

        List<DictTreeVO> queryByid(String id);

        /**
         * 根据id查询字典数据
         * @param id
         * @return
         */
        SysDicTreePO queryById(String id);
}
